View Issue Details

IDProjectCategoryView StatusLast Update
13466Bug reports[All Projects] Otherpublic2018-06-11 16:30
ReporterflomsAssigned Todominikvitt 
PriorityurgentSeverityminor 
Status closedResolutionfixed 
Product Version3.0.x 
Target VersionFixed in Version3.10.x 
Summary13466: Exit and clear in bilingual Survey - restarts in wrong language
Description

Exit and clear in bilingual Survey (german Mainlanguage - english translated language) - restarts the survey and switches the language.
Btw. The Button "Exit and clear" does "Clear and restart"

Steps To Reproduce

Start any survey in Mainlanguage (in my case german).
Press "Umfrage verlassen und Antworten löschen" (-> exit and clear)
In the Pop Press ok.
Next pages "Antworten gelöscht, <link>Restart Survey<link>" (Answers cleared, Link to english Version)

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.4.4+ 180305
I will donate to the project if issue is resolvedNo
BrowserChrome
Database & DB-Version 5.5.59
Operating System (Server)Linux (Centos 6)
Webserver software & versionApache
PHP Version5.6.33

Activities

floms

floms

2018-03-09 16:21

reporter  

LouisGac

LouisGac

2018-05-16 13:54

manager   ~47647

note: should be enough to add the language param in the restart link

guest

guest

2018-06-06 13:39

viewer   ~48005

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=27342

dominikvitt

dominikvitt

2018-06-06 14:21

developer   ~48006

It is fixed

Related Changesets

LimeSurvey: master f179e098

2018-06-06 13:39:23

Dominik Vitt

Details Diff
Fixed issue 13466: Exit and clear in bilingual Survey - restarts in wrong language
mod - application/helpers/SurveyRuntimeHelper.php Diff File

Issue History

Date Modified Username Field Change
2018-03-09 16:21 floms New Issue
2018-03-09 16:21 floms File Added: Screenshot 2018-03-09 um 16.10.04.png
2018-05-16 13:54 LouisGac Note Added: 47647
2018-05-16 13:54 LouisGac Assigned To => LouisGac
2018-05-16 13:54 LouisGac Status new => assigned
2018-05-23 12:57 LouisGac Priority none => urgent
2018-06-04 14:44 LouisGac Assigned To LouisGac => dominikvitt
2018-06-06 13:39 Changeset attached => LimeSurvey master f179e098
2018-06-06 13:39 guest Note Added: 48005
2018-06-06 13:39 guest Resolution open => fixed
2018-06-06 14:21 dominikvitt Status assigned => resolved
2018-06-06 14:21 dominikvitt Fixed in Version => 3.8.x
2018-06-06 14:21 dominikvitt Note Added: 48006
2018-06-11 16:30 markusfluer Status resolved => closed
2018-06-11 16:30 markusfluer Fixed in Version 3.8.x => 3.10.x